메인 콘텐츠로 건너뛰기
PUT
curl -X PUT "https://mybucket.storage.nami.cloud/" \
  -H "Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20231028/us-east-1/s3/aws4_request, SignedHeaders=host;x-amz-date, Signature=fe5f80f77d5fa3beca038a248ff027d0445342fe2855ddc963176630326f1024" \
  -H "x-amz-acl: private"
{
  "Code": "<string>",
  "Message": "<string>",
  "RequestId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nami.cloud/llms.txt

Use this file to discover all available pages before exploring further.

버킷을 생성하려면 계정에 적절한 권한이 필요합니다.

버킷 생성

새로운 버킷을 생성합니다. 기본적으로 버킷은 구성에서 지정한 지역에 생성됩니다.

기본 URL

https://${bucketname}.storage.nami.cloud

헤더

x-amz-acl
버킷에 적용할 캔디드 ACL
x-amz-bucket-object-lock-enabled
버킷에 객체 잠금이 활성화되어야 하는지 여부를 지정합니다.

요청 예제

curl -X PUT "https://mybucket.storage.nami.cloud/" \
  -H "Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20231028/us-east-1/s3/aws4_request, SignedHeaders=host;x-amz-date, Signature=fe5f80f77d5fa3beca038a248ff027d0445342fe2855ddc963176630326f1024" \
  -H "x-amz-acl: private"

응답 예제

HTTP/1.1 200 OK
x-amz-id-2: YgIPIfBiKa2bj0KMgUAdQkf3ShJTOOpXUueF6QKo
x-amz-request-id: 236A8905248E5A01
Date: Wed, 28 Oct 2023 22:32:00 GMT
Location: /mybucket
Content-Length: 0
Server: Nami Cloud

인증

Authorization
string
header
필수

AWS Signature Version 4

헤더

x-amz-acl
enum<string>

The canned ACL to apply to the bucket

사용 가능한 옵션:
private,
public-read,
public-read-write,
authenticated-read

응답

Bucket created successfully